<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAboutGeneralsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('about_generals', function (Blueprint $table) {
            $table->id();
            $table->string('title')->unique();
            $table->string('mission');
            $table->string('vision');
            $table->string('goal');
            $table->longText('description')->nullable();
            $table->string('image_attachment')->nullable();
            $table->string('publish_status')->default('unpublished');
            $table->string('slug')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('about_generals');
    }
}
